Support » Plugin: Cielo WooCommerce - Solução Webservice » Suporte para o Webservice 3.0

  • Plugin Author Claudio Sanches

    (@claudiosanches)


    Estou trabalhando para adicionar suporte ao Webservice 3.0, mas como vocês sabem, eu mantenho os outros plugins e todos agora precisam de atualização para a nova versão do WooCommerce, então vai levar algum tempo para ficar pronto.

    É possível me ajudar a desenvolver essa nova versão no GitHub: https://github.com/greguly/cielo-woocommerce

Viewing 15 replies - 1 through 15 (of 46 total)
  • Ok, sera muito bem vindo!

    Brigado pela resposta

    Opa Claudio, tentarei dar uma ajudada no meu tempo livre. Deve estar uma correria com todos os updates. Vamos ajudar pessoal.

    Olá, gostaria de agradecer e parabenizar desde já pelo excelente trabalho.
    Teria alguma previsão para o desenvolvimento da integração com API 3.0 Cielo?

    opa @diogolean ele respondeu sua pergunta com o próprio tópico:

    Estou trabalhando para adicionar suporte ao Webservice 3.0, mas como vocês sabem, eu mantenho os outros plugins e todos agora precisam de atualização para a nova versão do WooCommerce, então vai levar algum tempo para ficar pronto.

    Não tem como prever, mas sabemos que ele está trabalhando nas atualizações, sempre.

    Abraços,

    Plugin Author Claudio Sanches

    (@claudiosanches)

    @diogolean previsão depende da ajuda que eu receber, atualmente tenho 46 plugins publicados e mais 15 para publicar, praticamente tudo sozinho, então data de lançamento é sempre bem relativa.

    Pra esclarecer o pessoal que ainda tem interesse em homologar com a Cielo antes de sair a versão 3.0, a Cielo disponibiliza o downgrade por solicitação. Ontem enviei um e-mail e a gerente de suporte técnico me esclareceu a seguinte informação.
    “A plataforma versão 1.5 será desligada em 31/05/2018. Portanto, é essencial que o seu e-Commerce esteja atualizado. Caso não seja possível atualizar imediatamente sua integração para a plataforma 3.0, podemos temporariamente admitir o uso da plataforma 1.5, desde que formalize os termos abaixo”
    …aí vem um formulário com os dados da empresa e é isso, espero ter ajudado quem ainda usa a Cielo…eu já homologuei algumas lojas e prefiro 1000x a Cielo, o plugin do Claudio é show!!

    Olá,

    Homologuei uma loja ontem e não aceitaram mais a versão 1.5. Infelizmente tive que usar outra solução – paga e de menor qualidade – do que esse plugin do Claudio.

    Eu gastei quase um mês, mas consegui usar a versão 1.5, após a troca de inúmeros e-mails.

    Entendi, vamos ver se consigo ajudar.

    @fredperes No caso o Plugin da CIELO não funciona mais com versão do Woocommerce (3.1.2)? Seria isto?

    Abraços

    Estou rodando o Woocomerce 2.5.5 + Plugin Cielo 4.0.14.

    Ele funciona, mas precisei solicitar junto à Cielo o uso do webservice 1.5

    Com o webservice 3.0 não funcionou.

    Olá Claudio, tudo bem ?

    Existe alguma previsão para o plugin atender a versão 3.0 do webservice?

    Realmente estamos sentindo muita falta do plugin (excelente por sinal).

    Obrigado.

    Primeiramente, o plugin é muito bom. Excelente iniciativa do Claudio ter desenvolvido e manter este plugin único.

    Uso há algum tempo e funciona muito bem. Porém, em um dos sites que mantenho está apresentando problema no retorno depois da compre efetivada na Cielo. Está retornando página em branco e não aparece a tela de retorno (thankyou). Assim, o cliente acaba efetuando a compra mais de uma vez e a Cielo captura todas as vezes. No entanto, no painel woocommerce aparece status de Pendente.

    Alguma ideia ou sugestão do que pode estar acontecendo? Tenho uma suspeita que possa estar relacionado com uso de Child Theme: quando depois de atualização do tema pai e do woocommerce pode deixar alguns templates core do WC desatualizados e causar o problema. Desculpe postar aqui neste tópico mas faço isso porque acredito que o assunto possa ajudar outros usuários com o mesmo problema. Porém, criei um tópico específico e postei o que acontece, coloquei os logs etc. Segue o link do tópico para informação:

    https://wordpress.org/support/topic/compra-e-finalizada-mas-nao-retorna-corretamente/

    Agradeço se puderem interagir.
    Parabéns a todos pelo excelente trabalho!

    Olá a todos , na verdade esse plugin esta desatualizado no momento , porque a cielo lançou a nova API 3.0 .

    Bom como o Claudio tem diversas api enfim e não tem data prevista sou programador também , mas nunca programei via wordpress , vou da uma pequena estuda aqui , fazer o fork do projeto no GitHub e atualizar para a versão 3.0 , testando aqui na minha maquina local mandarei o pull request para o Claudio .. para atualizar para todos.

    Avisarei em breve assim que consegui e parabéns claudio por manter API gratuita enfim , fico feliz que existe pessoas assim como você.

    Boa tarde @adnilton. Bacana o seu gesto em contribuir com o plugin! Realmente o desenvolvedor Claudio mandou muito bem ao criar o mesmo.

    Você tem alguma posição sobre a sua contribuição, seu Pull Request foi aceito? Se positivo, é possível dizer que o plugin, se baixado lá no GitHub com o seu pull request vai comunicar certinho com a nova API 3.0 da Cielo?

    Grato pela atenção.

    @claudiosanches Tenta incluir nessa atualização o acerto do cartão de débito para cartões que tem 21 caracteres (fora os espaços)

Viewing 15 replies - 1 through 15 (of 46 total)
  • You must be logged in to reply to this topic.